AuFixedPointFromFraction(3)

Name
AuFixedPointFromFraction - make a fixed point value.

Synopsis
#include <audio/audiolib.h>

AuFixedPoint AuFixedPointFromFraction(nnn, ddd)
      int nnn;
      int ddd;

Arguments

nnn Specifies the numerator.

ddd Specifies the denominator.

Description
AuFixedPointFromFraction constructs a fixed point value by dividing nnn by ddd.

AuFixedPointFromFraction is implemented as a macro.

See Also
AuFixePointFractionalAddend, AuFixePointFromSum, AuFixePointIntegralAddend, AuFixePointRoundDown, AuFixePointRoundUp.

audiolib - Network Audio System C Language Interface